org.apache.ignite.plugin.extensions.communication

## Interface MessageFactory

All Superinterfaces:
  Extension

All Known Implementing Classes:
  GridIoMessageFactory

    public interface MessageFactory
    extends Extension

Factory for communication messages.

A plugin can provide his own message factory as an extension if it uses any custom messages (all message must extend `Message` class).

### Method Summary

Methods
`Message` `create(byte type)` Creates new message instance of provided type.

### Method Detail

#### create

    @Nullable
    Message create(byte type)

Creates new message instance of provided type.

This method should return `null` if provided message type is unknown to this factory.

Parameters:
  `type` - Message type.
Returns:
  Message instance.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015